<bugID>385245<Summary>history sidebar very slow (way slower than fx2)</Summary><Description>history sidebar very slow for last visited (slower than fx2 ?)

ria wrote:  "history By Last Visited takes 35 seconds."

I'm seeing perf problems as well.

a couple of things:

1)  we might be loading the tree again twice now, see bug #373944 and bug #385208.  I'll check into that and back out the fix for bug #373944 until we have a fix that doesn't regress performance.

2)  besides that, I know we spend a lot of time trying to figure out if we can collapse duplicates.  I think we can do this work ahead of time, before we return results to the view.</Description></bugID>